/******************************************************************************
 * MoveBackgammon.java - Move one player's turn on our board.
 * $Id: MoveBackgammon.java,v 1.4 2011/06/09 15:10:42 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: MoveBackgammon.java,v $
 * Revision 1.4  2011/06/09 15:10:42  dick
 * javadoc.
 *
 * Revision 1.3  2011/05/31 17:48:50  dick
 * Fix all warnings from the import.
 *
 * Revision 1.2  2011/05/30 05:29:21  dick
 * retab.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.backgammon;

import net.sourceforge.jibs.server.Player;

import java.util.StringTokenizer;

/** Move one player's turn on our board. <br>
 * TODO The whole check-for-legal-moves is not written, assume all moves are good.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.4 $ <br> $Date: 2011/06/09 15:10:42 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/backgammon/MoveBackgammon.java">cvs MoveBackgammon.java</a>
 */
public class MoveBackgammon {
	private BackgammonBoard bgBoard;

	public MoveBackgammon(BackgammonBoard bgBoard) {
		this.bgBoard = bgBoard;
	}

	public boolean checkMove(Player player, String args, int canMove) {
		int turn = bgBoard.getTurn();
//		boolean retCode = false;

		switch (turn) {
		case 0:
			/* retCode = */ 
			checkMoveO(player, args, canMove);

			break;

		case -1:
			/* retCode = */ 
			checkMoveX(player, args, canMove);

			break;
		}

		return true;
	}

	private boolean checkMoveX(Player player, String args, int canMove) {
		// TODO The whole check-for-legal-moves is not written, assume all moves are good.
		return false;
	}

	private boolean checkMoveO(Player player, String args, int canMove) {
		// TODO The whole check-for-legal-moves is not written, assume all moves are good.
		return false;
	}

	public BackgammonBoard placeMoveO(String mv) {
		BackgammonBoard setBoard = new BackgammonBoard(bgBoard);

		StringTokenizer stoken = new StringTokenizer(mv, " -");
		int bOnce = 0;
		int source = -1;
		int destination = -1;

		while (stoken.hasMoreTokens()) {
			String s = stoken.nextToken();

			switch (bOnce) {
			case 0:

				if (s.equalsIgnoreCase("bar") || s.equalsIgnoreCase("b")) {
					source = 25;
				} else {
					source = Integer.parseInt(s);
				}

				bOnce++;

				break;

			case 1:

				if (s.equalsIgnoreCase("off") || s.equalsIgnoreCase("o")) {
					destination = 0;
				} else {
					destination = Integer.parseInt(s);
				}

				bOnce = 0;

				Move move = null;

				move = new Move(source, destination);

				BackgammonBoard newBoard = setBoard.placeMoveO(move);

				setBoard = newBoard;

				break;
			}
		} // while

		return setBoard;
	}

	public BackgammonBoard placeMoveX(String mv) {
		BackgammonBoard setBoard = new BackgammonBoard(bgBoard);

		StringTokenizer stoken = new StringTokenizer(mv, " -");
		int bOnce = 0;
		int source = -1;
		int destination = -1;

		while (stoken.hasMoreTokens()) {
			String s = stoken.nextToken();

			switch (bOnce) {
			case 0:

				if (s.equalsIgnoreCase("bar") || s.equalsIgnoreCase("b")) {
					source = 0;
				} else {
					source = Integer.parseInt(s);
				}

				bOnce++;

				break;

			case 1:

				if (s.equalsIgnoreCase("off") || s.equalsIgnoreCase("o")) {
					destination = 0;
				} else {
					destination = Integer.parseInt(s);
				}

				bOnce = 0;

				Move move = null;

				move = new Move(source, destination);

				BackgammonBoard newBoard = setBoard.placeMoveX(move);

				setBoard = newBoard;

				break;
			}
		} // while

		return setBoard;
	}
}
