/******************************************************************************
 * JibsCommand.java - The root of all JibsCommands
 * $Id: JibsCommand.java,v 1.4 2011/06/16 19:04:16 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: JibsCommand.java,v $
 * Revision 1.4  2011/06/16 19:04:16  dick
 * Javadoc.
 *
 * Revision 1.3  2011/06/04 01:49:27  dick
 * Javadoc.
 *
 * Revision 1.2  2011/05/31 13:02:42  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.command;

import net.sourceforge.jibs.server.JibsServer;
import net.sourceforge.jibs.server.Player;

/** This is the <b>central</b> interface all commands must implement.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.4 $ <br> $Date: 2011/06/16 19:04:16 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/command/JibsCommand.java">cvs JibsCommand.java</a>
 */
public interface JibsCommand {
	/**
	 * The method which jIBS invokes when it identifies a command. All command
	 * implementations must perform their tasks under this routine[1].<br>
	 * <br>
	 * Except login, cause he's special.
	 *
	 * @param jibsServer
	 *            calling server.
	 * @param player
	 *            calling player.
	 * @param strArgs
	 *            the argument as one big String.
	 * @param args
	 *            the arguments as an array. The command name is args[0]
	 */
	public boolean execute(JibsServer jibsServer, Player player,
			String strArgs, String[] args);
}
