/******************************************************************************
 * Unwatch_Command - Stop watching a match
 * $Id: Unwatch_Command.java,v 1.4 2011/06/09 18:19:18 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: Unwatch_Command.java,v $
 * Revision 1.4  2011/06/09 18:19:18  dick
 * Use Player.println() instead of the JibsWriter.
 *
 * Revision 1.3  2011/06/06 03:18:25  dick
 * JibsMessages belongs in n.s.jibs.server, not n.s.jibs.gui
 *
 * Revision 1.2  2011/05/31 13:02:42  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.command;

import net.sourceforge.jibs.server.JibsMessages;
import net.sourceforge.jibs.server.JibsServer;
import net.sourceforge.jibs.server.Player;

/** Stop watching a match.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @since 2004/02/11
 * @version $Revision: 1.4 $ <br> $Date: 2011/06/09 18:19:18 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/command/Unwatch_Command.java">cvs Unwatch_Command.java</a>
 */
public class Unwatch_Command implements JibsCommand {

	@Override
	public boolean execute(JibsServer jibsServer, Player player,
			String strArgs, String[] args) {
		JibsMessages jibsMessages = jibsServer.getJibsMessages();
		String msg = null;

		if (!player.checkToggle("watch")) {
			// m_you_not_watch=** You're not watching.
			msg = jibsMessages.convert("m_you_not_watch");
			player.println(msg);

			return true;
		}

		Player playingPlayer = player.getWatchingPlayer();

		playingPlayer.stopWatching(player);
		player.changeToggle("watch", Boolean.FALSE);
		player.setWatchingPlayer(null);

		return true;
	}
}
