/******************************************************************************
 * InviteQuestion - Helper for invite messages.
 * $Id: InviteQuestion.java,v 1.3 2011/07/04 04:54:14 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: InviteQuestion.java,v $
 * Revision 1.3  2011/07/04 04:54:14  dick
 * Make JibsQuestion an abstract class instead of an interface so we can have attributes.
 *
 * Revision 1.2  2011/05/31 15:25:49  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.util;

import net.sourceforge.jibs.backgammon.JibsMatch;
import net.sourceforge.jibs.server.JibsQuestion;
import net.sourceforge.jibs.server.Player;

/** Helper for invite messages.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.3 $ <br> $Date: 2011/07/04 04:54:14 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/util/InviteQuestion.java">cvs InviteQuestion.java</a>
 */
public class InviteQuestion extends JibsQuestion {
	private int matchLength;
	private Player inviter;
	private Player invitee;
	private JibsMatch matchVersion;

	public InviteQuestion(int matchLength, Player player, Player opponent,
			JibsMatch matchVersion) {
		this.matchLength = matchLength;
		this.inviter = player;
		this.invitee = opponent;
		this.matchVersion = matchVersion;
	}

	public Player getInviter() {
		return inviter;
	}

	public int getMatchLength() {
		return matchLength;
	}

	public Player getInvitee() {
		return invitee;
	}

	public JibsMatch getMatchVersion() {
		return matchVersion;
	}

	public void setMatchVersion(JibsMatch matchVersion) {
		this.matchVersion = matchVersion;
	}
}
